##### posix::basic_stream_descriptor::basic_stream_descriptor (6 of 6 overloads)

Move-construct a `posix::basic_stream_descriptor` from a descriptor of another executor type.

    template<
        typename Executor1>
    basic_stream_descriptor(
        basic_stream_descriptor< Executor1 > && other,
        typename constraint< is_convertible< Executor1, Executor >::value, defaulted_constraint >::type  = defaulted_constraint());

This constructor moves a descriptor from one object to another.

###### Parameters

other

  The other `posix::basic_stream_descriptor` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_stream_descriptor(const executor_type&)` constructor.